<script setup>
import Header from '@/Components/Header.vue';
import { Head } from '@inertiajs/vue3';
import { useForm } from '@inertiajs/vue3'
const props = defineProps({
    material: Object,
})
const form = useForm({
    id: props.material.id,
    name: props.material.name,
    short_name: props.material.short_name,
})
</script>

<template>
    <Head title="Комплектующие" />
    <Header />
    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="max-w-md mx-auto p-8 bg-white rounded-md shadow-md">
                <h2 class="text-2xl font-semibold mb-6">Изменить материал</h2>
                <form @submit.prevent="form.patch('/materials/'+$page['props']['material']['id'])" :disabled="form.processing" enctype="multipart/form-data" method="POST">
                    <div class="mb-4">
                        <label for="name" class="block text-gray-700 text-sm font-bold mb-2">Наименование</label>
                        <input type="text" id="name" name="name" v-model="form.name" placeholder="" required
                            class="w-full px-3 py-2 border rounded-md focus:outline-none focus:border-blue-800">
                    </div>
                    <div class="mb-4">
                        <label for="short_name" class="block text-gray-700 text-sm font-bold mb-2">Краткое
                            наименование</label>
                        <input type="text" id="short_name" name="short_name" v-model="form.short_name" placeholder="" required
                            class="w-full px-3 py-2 border rounded-md focus:outline-none focus:border-blue-800">
                    </div>
                    <button type="submit"
                        class="btn bg-blue-600 text-white px-4 py-2 w-full font-bold rounded-md hover:bg-blue-800 focus:outline-none focus:shadow-outline-blue">
                        Добавить
                    </button>
                </form>
            </div>
        </div>
    </div>
</template>
